//+------------------------------------------------------------------+
//|                                     Guru's Heiken Ashi Trade.mq4 |
//|                                Copyright  2010, Infinity Group. |
//|                                 http://www.infinitygroup.com.com |
//+------------------------------------------------------------------+
#property copyright "Copyright  2010, Infinity Group."
#property link      "http://www.infinitygroup.com.com"

// used for verbose error logging
#include <stdlib.mqh>

extern int MaMetod = 2;
extern int MaPeriod = 6;
extern int MaMetod2 = 3;
extern int MaPeriod2 = 2;
extern int BarWidth = 0;
extern color UpBarColor = Lime;
extern color DownBarColor = Red;
extern color TextColor = White;
extern int Period_1=PERIOD_M15;
extern int Period_2=PERIOD_M30;
extern int Period_3=PERIOD_H1;
extern int Period_4=PERIOD_H4;

datetime prevcandle=0;

//+------------------------------------------------------------------+
//| expert initialization function                                   |
//+------------------------------------------------------------------+
int init()
{
//----
//----
   return(0);
}
//+------------------------------------------------------------------+
//| expert deinitialization function                                 |
//+------------------------------------------------------------------+
int deinit()
{
//----
   
//----
   return(0);
}
//+------------------------------------------------------------------+
//| expert start function                                            |
//+------------------------------------------------------------------+
int start()
{
//----
   datetime currentcandle = iTime(NULL, 0, 0); 
   if (prevcandle != currentcandle)
   {
      prevcandle = currentcandle;
      int prd, i;
      for (i=0; i<8; i++)
      {
         switch (i)
         {
            case 0: prd = Period_1; break;
            case 1: prd = Period_1; break;
            case 2: prd = Period_2; break;
            case 3: prd = Period_2; break;
            case 4: prd = Period_3; break;
            case 5: prd = Period_3; break;
            case 6: prd = Period_4; break;
            case 7: prd = Period_4; break;
         }
         double value = iCustom(NULL,prd,"N4 TF HAS Bar",MaMetod,MaPeriod,MaMetod2,MaPeriod2,BarWidth,UpBarColor,DownBarColor,TextColor,i,1); 
         Print ("heiken i=",i," prd=",prd," value=",value);
      }
   }    
//----
   return(0);
}